## taurus-pyqtgraph 0.3.1

=== requirements.txt ===
Click==7.0
PyQt5==5.13.0
pyqtgraph==0.10.0
ply==3.11
lxml==4.2.5
taurus==4.6.1

=== debian/changelog ===
taurus-pyqtgraph (0.3.1-2) unstable; urgency=medium

  * source upload to unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 16 Nov 2019 11:35:28 +0100

taurus-pyqtgraph (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #933333)

 -- Carlos Pascual <cpascual@cells.es>  Tue, 15 Oct 2019 11:30:00 +0100

=== debian/control ===
Source: taurus-pyqtgraph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-click <!nocheck> <!nodoc>,
               python3-pyqtgraph  <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-taurus <!nocheck> <!nodoc>,
               python3-setuptools,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/taurus_pyqtgraph
Vcs-Git: https://salsa.debian.org/science-team/taurus_pyqtgraph.git
Homepage: https://github.com/taurus-org/taurus_pyqtgraph

Package: python3-taurus-pyqtgraph
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Taurus extension providing pyqtgraph-based widgets (Python 3)
 taurus_pyqtgraph is an extension for the python3-taurus package.
 It adds the taurus.qt.qtgui.tpg submodule which provides pyqtgraph-based
 widgets.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taurus-pyqtgraph

# Disable tests due to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939571
export PYBUILD_DISABLE=test


%:
	dh $@ --with python3 --buildsystem=pybuild

## taurus-pyqtgraph 0.4.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = taurus_pyqtgraph
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
taurus-pyqtgraph (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * bump compat from 12 to 13 (no changes needed)
  * bump standards version to 4.5.0 (no changes needed)
  * reenable tests after #939571 got fixed

 -- Carlos Pascual <cpascual@cells.es>  Fri, 25 Sep 2020 10:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-click <!nocheck> <!nodoc>,
                python3-pyqtgraph  <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
+               python3-pytestqt <!nocheck>,
                python3-pytest-runner <!nocheck>,
+               python3-pytest-xvfb <!nocheck>,
                python3-taurus <!nocheck> <!nodoc>,
                python3-setuptools,
-Standards-Version: 4.4.0
+               xvfb <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/taurus_pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/taurus_pyqtgraph.git
 Homepage: https://github.com/taurus-org/taurus_pyqtgraph

## taurus-pyqtgraph 0.5.9

=== debian/changelog ===
taurus-pyqtgraph (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9

 -- Carlos Pascual <cpascual@cells.es>  Wed, 17 Nov 2021 12:24:15 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taurus-pyqtgraph

%:
	dh $@ --with python3 --buildsystem=pybuild

## taurus-pyqtgraph 0.6.2

=== debian/changelog ===
taurus-pyqtgraph (0.6.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.6.2 (Closes: #1042327)
  * Drop pyqtgraph-0.13.patch
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 12 Oct 2023 01:06:22 +0530

taurus-pyqtgraph (0.5.9-2) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: add.
    This is merely to document this gbp tree runs without pristine-tar
    branch.
  * pytest-pyqt5.patch: add.
    This addresses first part of #1030906.
    Thanks to s3v <c0llapsed@yahoo.it> for the hint
  * pyqtgraph-0.13.patch: add.
    This addresses second part of #1030906.
    Thanks to s3v <c0llapsed@yahoo.it> again (Closes: #1030906)

 -- Étienne Mollier <emollier@debian.org>  Mon, 27 Feb 2023 22:10:30 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-taurus <!nocheck> <!nodoc>,
                python3-setuptools,
                xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/taurus_pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/taurus_pyqtgraph.git
 Homepage: https://github.com/taurus-org/taurus_pyqtgraph

## taurus-pyqtgraph 0.8.0

=== requirements.txt ===
Click>=7.0
PyQt5>=5.13.0
pyqtgraph>=0.11.0
ply>=3.11
lxml>=4.2.5
taurus>=4.7

=== debian/changelog ===
taurus-pyqtgraph (0.8.0-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Switch to standard gbp+pristine-tar workflow (with a debian/watch file).
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2024 14:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: taurus-pyqtgraph
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Carlos Pascual <cpascual@cells.es>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
+ Carlos Pascual <cpascual@cells.es>,
+ Roland Mas <lolando@debian.org>
 Section: python
 Priority: optional
 Rules-Requires-Root: no
@@ -16,6 +18,7 @@
                python3-taurus <!nocheck> <!nodoc>,
                python3-setuptools,
                xvfb <!nocheck>,
+#Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/taurus_pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/taurus_pyqtgraph.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,5 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://gitlab.com/taurus-org/taurus_pyqtgraph/-/tags \
    .*/taurus_pyqtgraph-@ANY_VERSION@@ARCHIVE_EXT@

## taurus-pyqtgraph 0.9.6

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 taurus_pyqtgraph tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source taurus_pyqtgraph -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/taurus_pyqtgraph.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ taurus_pyqtgraph
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
taurus-pyqtgraph (0.9.6-1) unstable; urgency=medium

  * d/watch: updated to use plain searchmode for gitlab
  * New upstream version 0.9.6
  * wrap-and-sort
  * Bug fix: "FTBFS: unsatisfiable build-dependencies: python3-pylsp (&lt;
    1.11~), python3-qtconsole (&lt; 5.6~), python3-spyder-kernels (&lt;
    2.6~)", thanks to Lucas Nussbaum (Closes: #1091042).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Mar 2025 08:28:01 +0100

=== debian/control ===
Source: taurus-pyqtgraph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Carlos Pascual <cpascual@cells.es>,
           Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click <!nocheck> <!nodoc>,
               python3-pyqtgraph  <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-xvfb <!nocheck>,
               python3-pytestqt <!nocheck>,
               python3-setuptools,
               python3-taurus <!nocheck> <!nodoc>,
               xvfb <!nocheck>
#Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/taurus_pyqtgraph
Vcs-Git: https://salsa.debian.org/science-team/taurus_pyqtgraph.git
Homepage: https://github.com/taurus-org/taurus_pyqtgraph

Package: python3-taurus-pyqtgraph
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Taurus extension providing pyqtgraph-based widgets (Python 3)
 taurus_pyqtgraph is an extension for the python3-taurus package.
 It adds the taurus.qt.qtgui.tpg submodule which provides pyqtgraph-based
 widgets.

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/taurus-org/taurus_pyqtgraph/tags?sort=updated_desc -/archive/v?\d[\d.]+/taurus_pyqtgraph-@ANY_VERSION@@ARCHIVE_EXT@
